experiments
List experiments experiments
Requires scopes: eval:read
GET
/
api
/
experiments
List experiments experiments
curl --request GET \
--url https://evalgate.com/api/experiments \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/experiments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/experiments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"experiments": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluationId": 123,
"name": "<string>",
"description": "<string>",
"status": "<string>",
"baselineVariantKey": "<string>",
"datasetVersionId": "<string>",
"snapshotHash": "<string>",
"snapshotJson": {
"schemaVersion": 1,
"snapshotHashVersion": "sha256-canonical-v1",
"name": "<string>",
"description": "<string>",
"evaluationId": 123,
"environment": "dev",
"seed": 123,
"code": {
"runnerVersion": "<string>",
"codeVersion": "<string>",
"schemaVersion": "<string>"
},
"evaluation": {
"type": "<string>",
"executionSettings": {},
"modelSettings": {},
"customMetrics": {},
"executorType": "<string>",
"executorConfig": {}
},
"dataset": {
"id": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"schema": {},
"rows": [
{
"id": 123,
"name": "<string>",
"input": "<string>",
"expectedOutput": "<string>",
"metadata": true,
"lifecycleState": "<string>",
"originType": "<string>",
"datasetId": "<string>",
"datasetVersionId": "<string>",
"datasetRowId": "<string>",
"datasetRowContentHash": "<string>",
"inputHash": "<string>",
"lastLifecycleTransitionAt": "<string>",
"archivedAt": "<string>",
"supersededById": 123,
"supersededAt": "<string>",
"supersessionReason": "<string>",
"createdAt": "<string>"
}
],
"datasetHubRows": [
{
"id": "<string>",
"ordinal": 123,
"contentHash": "<string>",
"payload": {}
}
]
},
"baselineVariantKey": "<string>",
"variants": [
{
"key": "<string>",
"ordinal": 123,
"name": "<string>",
"prompt": {
"versionId": "<string>",
"artifactId": 123,
"contentHash": "<string>",
"payload": {},
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"name": "<string>"
}
],
"systemPrompt": "<string>"
},
"routing": {
"profileId": "<string>",
"provider": "<string>",
"model": "<string>",
"strategy": {}
},
"parameters": {},
"tools": {},
"scorers": [
{
"id": 123,
"name": "<string>",
"model": "<string>",
"promptTemplate": "<string>",
"promptTemplateHash": "<string>",
"criteria": true,
"settings": true
}
],
"calibrationMappings": [
{
"mappingId": "<string>",
"calibrationRunId": "<string>",
"method": "<string>",
"scoreScaleVersion": "<string>",
"mapping": {}
}
],
"policies": {},
"configurationHash": "<string>"
}
],
"policies": {},
"createdFrom": {
"surface": "playground",
"playgroundId": 123
}
},
"createRequestHash": "<string>",
"winnerPolicy": {
"minimumPassRateDelta": 123,
"maximumCostIncreasePercent": 123,
"maximumP95LatencyIncreasePercent": 123,
"allowIncomparableJudges": false,
"allowRegressions": false
},
"createIdempotencyKey": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}⌘I
List experiments experiments
